name: containers
version: 0.5.10.2
id: containers-0.5.10.2
key: containers-0.5.10.2
license: BSD3
maintainer: libraries@haskell.org
synopsis: Assorted concrete container types
description:
    This package contains efficient general-purpose implementations
    of various basic immutable container types.  The declared cost of
    each operation is either worst-case or amortized, but remains
    valid even if structures are shared.
category: Data Structures
exposed: True
indefinite: False
exposed-modules:
    Data.Graph Data.IntMap Data.IntMap.Internal
    Data.IntMap.Internal.Debug Data.IntMap.Lazy Data.IntMap.Merge.Lazy
    Data.IntMap.Merge.Strict Data.IntMap.Strict Data.IntSet
    Data.IntSet.Internal Data.Map Data.Map.Internal
    Data.Map.Internal.Debug Data.Map.Lazy Data.Map.Lazy.Merge
    Data.Map.Merge.Lazy Data.Map.Merge.Strict Data.Map.Strict
    Data.Map.Strict.Internal Data.Map.Strict.Merge Data.Sequence
    Data.Sequence.Internal Data.Set Data.Set.Internal Data.Tree
    Utils.Containers.Internal.BitQueue
    Utils.Containers.Internal.BitUtil
    Utils.Containers.Internal.StrictPair
hidden-modules: Utils.Containers.Internal.StrictFold
                Utils.Containers.Internal.StrictMaybe
                Utils.Containers.Internal.PtrEquality
                Data.Map.Internal.DeprecatedShowTree
                Data.IntMap.Internal.DeprecatedDebug
abi: e086202b65ca66a107fcba9d846fc3e0
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/containers-0.5.10.2
library-dirs: /usr/lib/ghc-8.2.1/containers-0.5.10.2
dynamic-library-dirs: /usr/lib/ghc-8.2.1/containers-0.5.10.2
data-dir: /usr/share/arm-linux-ghc-8.2.1/containers-0.5.10.2
hs-libraries: HScontainers-0.5.10.2
depends:
    base-4.10.0.0 array-0.5.2.0 deepseq-1.4.3.0 ghc-prim-0.5.1.0
abi-depends: base-4.10.0.0=32d562aa6d04d35ac79a0f49c17325ff
             array-0.5.2.0=5abf025fb7bf60079ec1f42bab285152
             deepseq-1.4.3.0=15f2832424b38ea5b23f1ebc9071dcc3
             ghc-prim-0.5.1.0=557c7fce76ef13c2417583cc28848f14
haddock-interfaces: /usr/share/doc/ghc/html/libraries/containers-0.5.10.2/containers.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/containers-0.5.10.2
